#include <EEPROM.h>

#include <EEPROM.h>

struct MyObject{
  double field1;
};

int a = 0;
double x=0;

MyObject myo;
MyObject dyo;

void setup()
{
  Serial.begin(9600);
  myo.field1=1.234;
  EEPROM.put(a,myo);
}

void loop()
{
  EEPROM.get(a,dyo);
  Serial.println(dyo.field1);
  delay(1000);
  x=dyo.field1;
  myo.field1 = (3*x+5)/2;
  EEPROM.put(a,myo);
}
